View Issue Details

IDProjectCategoryView StatusLast Update
0000192Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:20
ReporterScreezeAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000192: MySQLiHandler::executeTextBindStatement: Logging fehlt
DescriptionIm MySQLiHandler fehlt in der Methode executeTextBindStatement das Logging. das sollte so aussehen:

   public function executeTextBindStatement($statement, array $params = array(), $logStatement = false) {

       // log statements in debug mode or when requested explicitly
      if ($this->dbDebug == true || $logStatement == true) {
         $this->dbLog->logEntry($this->dbLogTarget, '[MySQLiHandler::executeTextBindStatement()] Current statement: ' . $statement, LogEntry::SEVERITY_DEBUG);
      }
[...]
(habe gerade kein Git Repo, muss ich mir erst wieder aufsetzen)
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-05-14 19:31 Screeze New Issue
2014-05-17 09:24 ChristianAchatz Status new => resolved
2014-05-17 09:24 ChristianAchatz Fixed in Version => 2.1
2014-05-17 09:24 ChristianAchatz Resolution open => fixed
2014-05-17 09:24 ChristianAchatz Assigned To => ChristianAchatz
2015-10-12 12:20 ChristianAchatz Status resolved => closed